/*aspectos generales: bordes y color de fondo de calculadora*/
.calculadora 
{
    margin-top: 280;
    margin-left: 33%;
    border: 8px  ridge; 
    width: 290px;
    text-align: center;
    background-color: #EBE6CD; 
    border-radius: 1em;
}

/*pantalla de visualización: bordes, posición, color de fondo, estilo letra.*/
#textoPantalla 
{ 
    width: 245px; 
    border: 2px black solid; 
    text-align: right; 
    position: relative; 
    left: 16px;  
    padding: 0px 5px;
    background-color: white; 
    font-family: "courier new"; 
    overflow: hidden;
}

/*botones normales: anchura y margen*/
.calculadora [type=button] 
{ 
    width: 50px; 
    padding: 9px;  
    border-radius: 0.8em;
    border-style: double;
    background-color: #CACBEB;
}
.calculadora [type=button]:hover 
{ 
    cursor: hand;
}
/*botones especiales*/
.calculadora input.largo
{ 
    color: red; 
    width: 60px;
}
